import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { DataSource } from "@angular/cdk/table";
import { FileInfo } from "@yukawa/chain-base-angular-domain";
import { FileEvent } from "@yukawa/chain-docs-angular-core";
import { MatSort } from "@angular/material/sort";
export declare class FileTableComponent implements OnInit, OnDestroy {
    displayedColumns: string[];
    dataSource: DataSource<FileInfo | any>;
    selected: FileInfo | any;
    action: EventEmitter<FileEvent>;
    sort: MatSort;
    constructor();
    ngOnInit(): void;
    /**
     * On destroy
     */
    ngOnDestroy(): void;
    onAction(event: any, cmd: string, selected: FileInfo | any): void;
    protected fireAction(action: FileEvent | any): void;
}
